@import "base/variables";

// bootstrap
@import "../../node_modules/bootstrap/scss/bootstrap-reboot.scss";
@import "../../node_modules/bootstrap/scss/grid.scss";

:root {
  //border: 1px solid $dark;
  --font-mono: ui-monospace, Menlo, Monaco, "Cascadia Mono", "Segoe UI Mono",
  "Roboto Mono", "Oxygen Mono", "Ubuntu Monospace", "Source Code Pro",
  "Fira Mono", "Droid Sans Mono", "Courier New", monospace;
}

html,
body {
  flex: 1;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  margin: 0;
}


$utilities: () !default;
$utilities: map-merge(
                $utilities,
                (
                        "flex": (
                                responsive: true,
                                property: flex,
                                values: (
                                        fill: 1 1 auto,
                                ),
                        ),
                        "flex-direction": (
                                responsive: true,
                                property: flex-direction,
                                class: flex,
                                values: row column row-reverse column-reverse,
                        ),
                        "flex-grow": (
                                responsive: true,
                                property: flex-grow,
                                class: flex,
                                values: (
                                        grow-0: 0,
                                        grow-1: 1,
                                ),
                        ),
                        "flex-shrink": (
                                responsive: true,
                                property: flex-shrink,
                                class: flex,
                                values: (
                                        shrink-0: 0,
                                        shrink-1: 1,
                                ),
                        ),
                        "flex-wrap": (
                                responsive: true,
                                property: flex-wrap,
                                class: flex,
                                values: wrap nowrap wrap-reverse,
                        ),
                        "justify-content": (
                                responsive: true,
                                property: justify-content,
                                values: (
                                        start: flex-start,
                                        end: flex-end,
                                        center: center,
                                        between: space-between,
                                        around: space-around,
                                        evenly: space-evenly,
                                ),
                        ),
                        "align-items": (
                                responsive: true,
                                property: align-items,
                                values: (
                                        start: flex-start,
                                        end: flex-end,
                                        center: center,
                                        baseline: baseline,
                                        stretch: stretch,
                                ),
                        ),
                        "align-content": (
                                responsive: true,
                                property: align-content,
                                values: (
                                        start: flex-start,
                                        end: flex-end,
                                        center: center,
                                        between: space-between,
                                        around: space-around,
                                        stretch: stretch,
                                ),
                        ),
                        "align-self": (
                                responsive: true,
                                property: align-self,
                                values: (
                                        auto: auto,
                                        start: flex-start,
                                        end: flex-end,
                                        center: center,
                                        baseline: baseline,
                                        stretch: stretch,
                                ),
                        ),
                        "order": (
                                responsive: true,
                                property: order,
                                values: (
                                        first: -1,
                                        0: 0,
                                        1: 1,
                                        2: 2,
                                        3: 3,
                                        4: 4,
                                        5: 5,
                                        last: 6,
                                ),
                        ),
                        "display": (
                                responsive: true,
                                print: true,
                                property: display,
                                class: d,
                                values: inline inline-block block grid table table-row table-cell flex inline-flex none,
                        ),
                        "position": (
                                property: position,
                                values: static relative absolute fixed sticky,
                        ),
                        "top": (
                                responsive: true,
                                property: top,
                                values: $position-values,
                        ),
                        "bottom": (
                                responsive: true,
                                property: bottom,
                                values: $position-values,
                        ),
                        "start": (
                                responsive: true,
                                property: left,
                                class: start,
                                values: $position-values,
                        ),
                        "end": (
                                responsive: true,
                                property: right,
                                class: end,
                                values: $position-values,
                        ),
                        "translate-middle": (
                                property: transform,
                                class: translate-middle,
                                values: (
                                        null: translate(-50%, -50%),
                                        x: translateX(-50%),
                                        y: translateY(-50%),
                                ),
                        ),
                        "color": (
                                property: color,
                                class: text,
                                local-vars: (
                                        "text-opacity": 1,
                                ),
                                values:
                                map-merge(
                                                $utilities-text-colors,
                                                (
                                                        "muted": $text-muted,
                                                        "black-50": rgba($black, 0.5),
                                                  // deprecated
                                                        "white-50": rgba($white, 0.5),
                                                  // deprecated
                                                        "reset": inherit,
                                                )
                                ),
                        ),
                        "text-opacity": (
                                css-var: true,
                                class: text-opacity,
                                values: (
                                        25: 0.25,
                                        50: 0.5,
                                        75: 0.75,
                                        100: 1,
                                ),
                        ),
                        "text-align": (
                                responsive: true,
                                property: text-align,
                                class: text,
                                values: (
                                        start: left,
                                        end: right,
                                        center: center,
                                ),
                        ),
                        "text-decoration": (
                                property: text-decoration,
                                values: none underline line-through,
                        ),
                        "margin": (
                                responsive: true,
                                property: margin,
                                class: m,
                                values:
                                map-merge(
                                                $spacers,
                                                (
                                                        auto: auto,
                                                )
                                ),
                        ),
                        "margin-x": (
                                responsive: true,
                                property: margin-right margin-left,
                                class: mx,
                                values:
                                map-merge(
                                                $spacers,
                                                (
                                                        auto: auto,
                                                )
                                ),
                        ),
                        "margin-y": (
                                responsive: true,
                                property: margin-top margin-bottom,
                                class: my,
                                values:
                                map-merge(
                                                $spacers,
                                                (
                                                        auto: auto,
                                                )
                                ),
                        ),
                        "margin-top": (
                                responsive: true,
                                property: margin-top,
                                class: mt,
                                values:
                                map-merge(
                                                $spacers,
                                                (
                                                        auto: auto,
                                                )
                                ),
                        ),
                        "margin-end": (
                                responsive: true,
                                property: margin-right,
                                class: me,
                                values:
                                map-merge(
                                                $spacers,
                                                (
                                                        auto: auto,
                                                )
                                ),
                        ),
                        "margin-bottom": (
                                responsive: true,
                                property: margin-bottom,
                                class: mb,
                                values:
                                map-merge(
                                                $spacers,
                                                (
                                                        auto: auto,
                                                )
                                ),
                        ),
                        "margin-start": (
                                responsive: true,
                                property: margin-left,
                                class: ms,
                                values:
                                map-merge(
                                                $spacers,
                                                (
                                                        auto: auto,
                                                )
                                ),
                        ),
                        "padding": (
                                responsive: true,
                                property: padding,
                                class: p,
                                values: $spacers,
                        ),
                        "padding-x": (
                                responsive: true,
                                property: padding-right padding-left,
                                class: px,
                                values: $spacers,
                        ),
                        "padding-y": (
                                responsive: true,
                                property: padding-top padding-bottom,
                                class: py,
                                values: $spacers,
                        ),
                        "padding-top": (
                                responsive: true,
                                property: padding-top,
                                class: pt,
                                values: $spacers,
                        ),
                        "padding-end": (
                                responsive: true,
                                property: padding-right,
                                class: pe,
                                values: $spacers,
                        ),
                        "padding-bottom": (
                                responsive: true,
                                property: padding-bottom,
                                class: pb,
                                values: $spacers,
                        ),
                        "padding-start": (
                                responsive: true,
                                property: padding-left,
                                class: ps,
                                values: $spacers,
                        ),
                        "font-size": (
                                responsive: true,
                                property: font-size,
                                class: fs,
                                values: $font-sizes,
                        ),
                        "background-color": (
                                property: background-color,
                                class: bg,
                                local-vars: (
                                        "bg-opacity": 1,
                                ),
                                values:
                                map-merge(
                                                $utilities-bg-colors,
                                                (
                                                        "transparent": transparent,
                                                )
                                ),
                        ),
                        "bg-opacity": (
                                css-var: true,
                                class: bg-opacity,
                                values: (
                                        10: 0.1,
                                        25: 0.25,
                                        50: 0.5,
                                        75: 0.75,
                                        100: 1,
                                ),
                        ),
                        "rounded": (
                                property: border-radius,
                                class: rounded,
                                values: (
                                        null: var(--#{$prefix}border-radius),
                                        0: 0,
                                        1: var(--#{$prefix}border-radius-sm),
                                        2: var(--#{$prefix}border-radius),
                                        3: var(--#{$prefix}border-radius-lg),
                                        4: var(--#{$prefix}border-radius-xl),
                                        5: var(--#{$prefix}border-radius-2xl),
                                        circle: 50%,
                                        pill: var(--#{$prefix}border-radius-pill),
                                ),
                        ),
                        "border": (
                                property: border,
                                values: (
                                        null: var(--#{$prefix}border-width) var(--#{$prefix}border-style) var(--#{$prefix}border-color),
                                        0: 0,
                                ),
                        ),
                        "border-color": (
                                property: border-color,
                                class: border,
                                local-vars: (
                                        "border-opacity": 1,
                                ),
                                values: $utilities-border-colors,
                        ),
                        "width": (
                                responsive: true,
                                property: width,
                                class: w,
                                values: (
                                        25: 25%,
                                        50: 50%,
                                        75: 75%,
                                        100: 100%,
                                        auto: auto,
                                ),
                        ),
                        "height": (
                                property: height,
                                class: h,
                                values: (
                                        25: 25%,
                                        50: 50%,
                                        75: 75%,
                                        100: 100%,
                                        auto: auto,
                                ),
                        ),
                        "viewport-height": (
                                property: height,
                                class: vh,
                                values: (100: 100vh)
                        ),
                )
);

@import '../../node_modules/bootstrap/scss/utilities/api';
@import "base/placeholders";
